Bug 879839 (libchipcard) - Review Request: libchipcard - enable DDV chipcards for HBIC
Summary: Review Request: libchipcard - enable DDV chipcards for HBIC
Keywords:
Status: CLOSED NOTABUG
Alias: libchipcard
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1563738 (view as bug list)
Depends On:
Blocks: 1046926
TreeView+ depends on / blocked
 
Reported: 2012-11-24 18:58 UTC by Thomas Lemm
Modified: 2018-04-04 16:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-05 10:10:33 UTC


Attachments (Terms of Use)

Description Thomas Lemm 2012-11-24 18:58:34 UTC
Spec URL: https://sites.google.com/site/kontr0kontradiktion/packages/libchipcard-for-fedora-17/libchipcard.spec?attredirects=0&d=1
SRPM URL: https://sites.google.com/site/kontr0kontradiktion/packages/libchipcard-for-fedora-17/libchipcard-5.0.2-3.fc17.src.rpm?attredirects=0&d=1
Description: Libchipcard a library allowing access to 
DDV and Starcos chipcards via PC/SC.
Fedora Account System Username: lemm


Sirs,

this is my first package and I need a sponsor for it. Technically this package extends - but does not replace - the gwenhywfar package. I would be happy to find a sponsor that has some knowledge in this area. Please see below for koji builds. Also, please see below for rpmlint output.

About the software packaged:
The packaged library serves a rather arcane configuration: hbci banking (predominantly found in europe/germany, only) with particular types of chipcards that unfortunately my bank issued to me. The upside being all account transactions can be imported automatically into banking software e.g. gnucash et al. I presume it'll be hard to find testers.

Kind regards

Thomas Lemm

KOJI
----
Koji builds - I think they were successful. If not - since I'm not fluent in koji - let me know.

f16: http://koji.fedoraproject.org/koji/taskinfo?taskID=4723778
f17: http://koji.fedoraproject.org/koji/taskinfo?taskID=4723768
f18: http://koji.fedoraproject.org/koji/taskinfo?taskID=4723779
f19: http://koji.fedoraproject.org/koji/taskinfo?taskID=4723783

RPMLINT
-------
$ rpmlint libchipcard-5.0.2-3.fc17.src.rpm 
libchipcard.src: W: spelling-error %description -l en_US gwenhywfar -> Gwendolyn
libchipcard.src: W: spelling-error %description -l en_US chipcards -> chip cards, chip-cards, chipboard
libchipcard.src: W: invalid-url Source0: libchipcard-5.0.2.tar.gz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

invalid-url - upstream uses non slash prepending URL - url present in comment.

$ rpmlint libchipcard-5.0.2-3.fc17.i686.rpm 
libchipcard.i686: W: spelling-error %description -l en_US chipcards -> chip cards, chip-cards, chipboard
libchipcard.i686: E: incorrect-fsf-address /usr/share/doc/libchipcard/COPYING
libchipcard.i686: W: no-manual-page-for-binary cardcommander
libchipcard.i686: W: no-manual-page-for-binary geldkarte
libchipcard.i686: W: no-manual-page-for-binary chipcard-tool
libchipcard.i686: W: no-manual-page-for-binary memcard
libchipcard.i686: W: no-manual-page-for-binary kvkcard
1 packages and 0 specfiles checked; 1 errors, 6 warnings.

upstream informed of missing manuals / gpl update

Comment 1 Frank Büttner 2013-12-27 12:27:20 UTC
try the last version 5.0.3 but beware there exist an build bug for x86_64.

add the line /usr/lib64 to the search path list for libpcsclite.so on line
 17007 at the configure script.

Comment 2 Thomas Lemm 2013-12-28 16:00:54 UTC
Hi,

I found the 5.0.3 beta and put it into an rpm (for fedora 19):
https://sites.google.com/site/kontr0kontradiktion/packages/libchipcard-for-fedora-17

However I don't have a 64bit environment to roll the 64bit rpms on.

Kind regards

Thomas

Comment 3 Frank Büttner 2014-01-06 21:07:36 UTC
I can test it, when you can send me the srpm.

Comment 4 Thomas Lemm 2014-02-08 11:10:10 UTC
Uploaded to same link as above... Many thnks for looking into this

Comment 5 Rex Dieter 2015-11-04 16:21:32 UTC
I can sponsor/review this too, though since this is pretty old, please comment that you're still interested in pursuing this.

Comment 6 Thomas Lemm 2015-11-05 10:09:20 UTC
Thank you for your willingness to sponsor this. However, I have moved on since then, providing updates only occasionally to the project's mailing list (given the relative effort to setup a proper fedora provided package).

Also I have learend that the package is only interesting for accessing german bank accounts only. Therefore I withdraw my request.

Many thanks again

Thomas Lemm

Comment 7 Thomas Lemm 2015-11-05 10:10:33 UTC
Thank you for your willingness to sponsor this. However, I have moved on since then, providing updates only occasionally to the project's mailing list (given the relative effort to setup a proper fedora provided package).

Also I have learend that the package is only interesting for accessing german bank accounts only. Therefore I withdraw my request.

Many thanks again

Thomas Lemm

Comment 8 Rex Dieter 2017-01-27 15:38:34 UTC
clearing flags

Comment 9 Bill Nottingham 2018-04-04 16:13:18 UTC
*** Bug 1563738 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.